## python-rich-rst 1.3.1+dfsg

=== docs/requirements.txt ===
rich
docutils
rich_rst
sphinx_copybutton
sphinx_rtd_theme

=== debian/changelog ===
python-rich-rst (1.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests pass with Docutils 0.22.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Sep 2025 22:31:17 +0300

python-rich-rst (1.3.1+dfsg-2) unstable; urgency=medium

  * debian/control: Update maintainer to Debian Python Team

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 01 Dec 2024 20:47:28 -0300

python-rich-rst (1.3.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: 1086736)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Nov 2024 17:39:18 -0300

=== debian/control ===
Source: python-rich-rst
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-bs4 <!nocheck>,
               python3-docutils,
               python3-pytest <!nocheck>,
               python3-rich,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Homepage: https://github.com/wasi-master/rich-rst
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rich-rst
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rich-rst.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-rich-rst
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-python-rich-rst-doc
Description: beautiful reStructuredText renderer for rich
 Rich library extension that allows you to render documents in reStructuredText
 (or RST) format with a rich, interactive appearance directly in the terminal.
 The package's main function is to improve the viewing of RST documents by
 transforming the content into a visually pleasing format, similar to what rich
 Markdown does for Markdown files.
 .
 Main features:
    - Rendering RST elements: The package supports the rendering of 75
      reStructuredText elements, which includes headers, lists, code blocks,
      links, tables, among others. It provides a user-friendly interface to
      read RST documents on the terminal.
    - Command Line Interface (CLI): The CLI allows you to display .rst files
      directly in the terminal.

Package: python-rich-rst-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Beautiful reStructuredText renderer for rich (common documentation)
 Rich library extension that allows you to render documents in reStructuredText
 (or RST) format with a rich, interactive appearance directly in the terminal.
 The package's main function is to improve the viewing of RST documents by
 transforming the content into a visually pleasing format, similar to what rich
 Markdown does for Markdown files.
 .
 Main features:
    - Rendering RST elements: The package supports the rendering of 75
      reStructuredText elements, which includes headers, lists, code blocks,
      links, tables, among others. It provides a user-friendly interface to
      read RST documents on the terminal.
    - Command Line Interface (CLI): The CLI allows you to display .rst files
      directly in the terminal.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#Required to run the test
export TERM=xterm-256color
export PYBUILD_NAME=rich-rst

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees \
	 -N -bhtml docs/source/ debian/html

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/.*rc.*//,repacksuffix=+dfsg \
https://github.com/wasi-master/rich-rst/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
